Get target
curl --request GET \
--url https://app.azalt.co/api/v1/targets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/targets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/targets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"indicatorId": "<string>",
"organizationId": "<string>",
"title": "<string>",
"baselineYear": 123,
"baselineMonth": 123,
"baselineQuarter": 123,
"metadata": {},
"targetEntries": [
{
"year": 123,
"targetValue": 123,
"siteId": "<string>",
"month": 123,
"quarter": 123
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Target
Get target
Retrieve a specific target by its unique identifier.
Targets define sustainability and performance goals for specific indicators, with flexible baseline periods and target entries that can be absolute values or relative percentages. Each target can be linked to specific sites or apply organization-wide.
GET
/
targets
/
{id}
Get target
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

